Bug 116723 - up2date --channel updates-testing package-name should get package from designated channel
up2date --channel updates-testing package-name should get package from design...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-24 13:25 EST by Don Himelrick
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-07 16:54:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Himelrick 2004-02-24 13:25:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Maybe its just me, but the --channel option doesn't seem to work as
expected for me.  As far as I can tell from the docs, the only way to
use it is with the -install-all option.  When I do 

up2date --channel updates-testing package-name

up2date should get package-name.rpm from the specified channel for me.
 Instead it downloads headers from ALL channels I have uncommented in
my /etc/sysconfig/rhn/sources files and then it sits there for way too
long doing nothing.

Version-Release number of selected component (if applicable):
up2date-4.1.16-1

How reproducible:
Always

Steps to Reproduce:
1.up2date --channel updates-testing package-name
2.
3.
    

Actual Results:  fetches all channels (and hangs?)

Expected Results:  Should only fetch specified channel and package

Additional info:

If my interpretation of the docs is correct, I don't see why --channel
needs the --install-all option as well.  If my interpretation is
wrong, then it still doesn't seem to work the way I would like it to.
Comment 1 Don Himelrick 2004-02-24 13:27:22 EST
FYI, I'm doing all of this in a terminal with the --nox option.
Comment 2 Adrian Likins 2004-04-07 16:54:40 EDT
up2date --install-all --channel SOMECHANNEL will
install all packages from SOMECHANNEL, but, it
may need to pull more packages from other channels
to solve all deps. When using the yum sources, this
means downloading all the headers for all the channels
that are configured. 

As best I can from reading, this is working correctly,
aside from stalling, which is probabaly a variation
of #119568

Note You need to log in before you can comment on or make changes to this bug.